# Uses of Class
org.apache.sysds.runtime.iogen.CustomProperties

Packages that use CustomProperties
Package
Description
org.apache.sysds.runtime.iogen
org.apache.sysds.runtime.iogen.codegen
org.apache.sysds.runtime.iogen.template

## Uses of CustomProperties in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return CustomProperties
Modifier and Type
Method
Description
`CustomProperties`
FormatIdentifyer.`getFormatProperties()`
`CustomProperties`
GenerateReader.`getProperties()`

## Uses of CustomProperties in org.apache.sysds.runtime.iogen.codegen

Constructors in org.apache.sysds.runtime.iogen.codegen with parameters of type CustomProperties
Modifier
Constructor
Description
``
`CodeGenTrie(CustomProperties properties, String destination, boolean isMatrix, FormatIdentifyer formatIdentifyer)`
``
`FrameCodeGen(CustomProperties properties, String className)`
``
`MatrixCodeGen(CustomProperties properties, String className)`

## Uses of CustomProperties in org.apache.sysds.runtime.iogen.template

Constructors in org.apache.sysds.runtime.iogen.template with parameters of type CustomProperties
Modifier
Constructor
Description
``
`FrameGenerateReader(CustomProperties _props)`
``
`FrameGenerateReaderParallel(CustomProperties _props)`
``
`MatrixGenerateReader(CustomProperties _props)`
``
`MatrixGenerateReaderParallel(CustomProperties _props)`
``
`TemplateCodeGenBase(CustomProperties properties, String className)`